using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            RadGrid1.DataSource = GenerateDataSource();
            RadGrid1.DataBind();
        }
    }
    protected DataTable GenerateDataSource()
    {
        DataTable tbl = new DataTable();
        tbl.Columns.Add(new DataColumn("FirstColumn"));
        tbl.Columns.Add(new DataColumn("SecondColumn"));
        tbl.Columns.Add(new DataColumn("ThirdColumn"));
        tbl.Columns.Add(new DataColumn("FourthColumn"));
        tbl.Rows.Add(new object[] { "firstRecord1", "firstRecord2", "firstRecord3", "firstRecord4" });
        tbl.Rows.Add(new object[] { "secondRecord1", "secondRecord2", "secondRecord3", "secondRecord4" });
        tbl.Rows.Add(new object[] { "thirdRecord1", "thirdRecord2", "thirdRecord3", "thirdRecord4" });
        return tbl;
    }

    protected void mng1_OnAjaxUpdate(object sender, ToolTipUpdateEventArgs e)
    {
        e.UpdatePanel.ContentTemplateContainer.Controls.Add(new LiteralControl("First Tooltip"));
    }

    protected void mng2_OnAjaxUpdate(object sender, ToolTipUpdateEventArgs e)
    {
        e.UpdatePanel.ContentTemplateContainer.Controls.Add(new LiteralControl("Second Tooltip"));

    }

    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
          if (e.Item.ItemType == GridItemType.Item || e.Item.ItemType == GridItemType.AlternatingItem)
          {
              Control target1 = e.Item.FindControl("target1");
              if (!Object.Equals(target1, null))
              {
                  if (!Object.Equals(this.mng1, null))
                  {
                      
                       //Add the button (target) id to the tooltip manager
                       this.mng1.TargetControls.Add(target1.ClientID,true);

                   
                  }
              }
              Control target2 = e.Item.FindControl("target2");
              if (!Object.Equals(target2, null))
              {
                  if (!Object.Equals(this.mng2, null))
                  {

                      //Add the button (target) id to the tooltip manager
                      this.mng2.TargetControls.Add(target2.ClientID, true);


                  }
              }
          }
    }

}

